class f3D extends f_xj
{
public double func(double w[])
{//function to be solved
int n=w.length;
double x=w[0];
double y=0;
if(n>1) y=w[1];
double ff;
ff=sin(w[0])*sin(w[0])+cos(w[1])*cos(w[1]);
return ff;
}
}

